Bug 19056 - нет звука в играх
: нет звука в играх
Status: CLOSED WONTFIX
: Branch 4.1
(All bugs in Branch 4.1/kernel-modules-alsa-std-ll)
: unspecified
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-03-04 08:49 by
Modified: 2014-11-05 20:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-03-04 08:49:25
В играх нет звука, при этом видео играется тем же mplayer'ом нормально.

При запуске, например, briquolo или Ri_li пишет:

Audio write: Ошибка ввода/вывода

Если запускать через aoss, то некоторым играм помогает, а supertuxkart,
например, не помогает.


$ hedgewars
Audio write: Ошибка ввода/вывода

Звука нет.

[denis@ogion ~]$ aoss hedgewars
SNDCTL_DSP_SETFRAGMENT: Недопустимый аргумент

Звук есть.


Машина живёт на бранче-4.1. При этом на домашней машине с ALD-4.1 у
меня таких проблем нет.

$ rpm -qa |grep alsa
libalsa-1.0.15-alt1
libao-alsa-0.8.8-alt1.13239
alsa-utils-1.0.15-alt1
alsa-plugins-1.0.15-alt1
alsa-oss-1.0.15-alt1
kernel-modules-alsa-std-ll-2.6.25-alt8.M41.4


$ rpm -qa |grep sound
esound-0.2.39-alt0.M41.1
sound-scripts-1.0.0-alt0.M41.1
libsoundtouch-1.3.1-alt1
libSDL_sound-1.0.1-alt2
sound_handler-0.3.1-alt0.M41.1


# lspci |grep Audio
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)


# lsmod |grep snd
snd_hda_intel         365076  1
snd_pcm_oss            46112  0
snd_seq_dummy           7684  0
snd_seq_oss            36736  0
snd_seq_midi_event     11520  1 snd_seq_oss
snd_seq                56944  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         12172  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_mixer_oss          20864  1 snd_pcm_oss
snd_pcm                81284  2 snd_hda_intel,snd_pcm_oss
snd_timer              28040  2 snd_seq,snd_pcm
snd_page_alloc         14216  2 snd_hda_intel,snd_pcm
snd_hwdep              13700  1 snd_hda_intel
snd                    61988  11
snd_hda_intel,snd_pcm_oss,snd_seq_oss,snd_seq,snd_seq_device,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
soundcore              12384  1 snd


Поставив более старую сборку ядра из ALD4.1.0 (alt8.M41.1) обнаружил, что звук
в играх появился без плясок с aoss.
------- Comment #1 From 2009-03-04 08:52:48 -------
Вывод lspci -v на ядре alt8.M41.1, касающийся звука:

00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
        Subsystem: ASUSTeK Computer Inc. Device 81b3
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23
        Memory at fe028000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Queue=0/0
Enable-
        Capabilities: [6c] HyperTransport: MSI Mapping Enable+ Fixed+
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel
------- Comment #2 From 2009-09-01 12:48:08 -------
На p5/branch с 2.6.30-std-def-alt10 и pulseaudio вроде не проявляется.
------- Comment #3 From 2014-11-05 20:42:16 -------
В 4.1/branch исправления не будут вноситься уже технически (заглушена очередь
на сборку), поэтому прошу ошибки, актуальные для sisyphus/p7/t7, перевесить на
текущие ветки или сизиф.